package com.ejie.ab39a.model;


/**
 * Objeto de modelo de datos de un mail de aviso
 *  
 */
public class MailModel {

	private String host;
	private String remitente;
	private String destinatario;	
	private String asunto_es;
	private String asunto_eu;
	private String mensaje_eu;
	private String mensaje_es;




	/**
	 * Constructor del objeto Proceso
	 */	
	public MailModel() {
		
	}

	/**
	 * @return asunto_eu / asunto_es
	 */
	public String getAsuntoFormateado(){
		StringBuffer textoSubject = new StringBuffer();
		
		textoSubject.append(this.getAsunto_eu()).append(" / ").append(this.getAsunto_es());
		
		return textoSubject.toString();
	}
	
	/**
	 * @return mensaje_eu / mensaje_es
	 */
	public String getMensajeFormateado(){
		StringBuffer textoCuerpo = new StringBuffer();
		
		textoCuerpo.append(this.getMensaje_eu()).append("\n\n").append(this.getMensaje_es());
		
		return textoCuerpo.toString();
	}	

	


	/**
	 * @return the asunto_es
	 */
	public String getAsunto_es() {
		return asunto_es;
	}


	/**
	 * @param asunto_es the asunto_es to set
	 */
	public void setAsunto_es(String asunto_es) {
		this.asunto_es = asunto_es;
	}


	/**
	 * @return the asunto_eu
	 */
	public String getAsunto_eu() {
		return asunto_eu;
	}


	/**
	 * @param asunto_eu the asunto_eu to set
	 */
	public void setAsunto_eu(String asunto_eu) {
		this.asunto_eu = asunto_eu;
	}


	/**
	 * @return the destinatario
	 */
	public String getDestinatario() {
		return destinatario;
	}


	/**
	 * @param destinatario the destinatario to set
	 */
	public void setDestinatario(String destinatario) {
		this.destinatario = destinatario;
	}


	/**
	 * @return the host
	 */
	public String getHost() {
		return host;
	}


	/**
	 * @param host the host to set
	 */
	public void setHost(String host) {
		this.host = host;
	}


	/**
	 * @return the mensaje_es
	 */
	public String getMensaje_es() {
		return mensaje_es;
	}


	/**
	 * @param mensaje_es the mensaje_es to set
	 */
	public void setMensaje_es(String mensaje_es) {
		this.mensaje_es = mensaje_es;
	}


	/**
	 * @return the mensaje_eu
	 */
	public String getMensaje_eu() {
		return mensaje_eu;
	}


	/**
	 * @param mensaje_eu the mensaje_eu to set
	 */
	public void setMensaje_eu(String mensaje_eu) {
		this.mensaje_eu = mensaje_eu;
	}


	/**
	 * @return the remitente
	 */
	public String getRemitente() {
		return remitente;
	}


	/**
	 * @param remitente the remitente to set
	 */
	public void setRemitente(String remitente) {
		this.remitente = remitente;
	}









	
	

}
